cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/search/v1/libraries/{libraryId}/count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/search/v1/libraries/{libraryId}/count"
payload = {
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{column: '<string>', kind: '<string>', value: '<string>'}],
kind: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/search/v1/libraries/{libraryId}/count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"kind": "<string>"
}search
Post searchv1libraries count
Counts documents of a document class. Only accessible to library administrators.
POST
/
search
/
v1
/
libraries
/
{libraryId}
/
count
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
Query Parameters
The ID of the document class
The scope of documents to find: 'DELETED' to get only deleted documents, 'NOT_DELETED' (default value) to get only non-deleted documents or 'ALL' to get all documents
Available options:
DELETED, NOT_DELETED, ALL The security code
The G Suite domain
The timezone to use for datetime field searches (default: UTC). Format: 'Europe/Paris' or '+01:00'
⌘I